Topics

Error preparing source

ChrisLM
 

Hi.

I just installed python 3.7.6 in this  machine using Windows 10Ver1903 (64-bit) build 18362.535.

This strange error appears:

"""


c:\nvda>scons source
scons: Reading SConscript files ...
scons: done reading SConscript files.
scons: Building targets ...
interfaceAction(["source\comInterfaces\AcrobatAccessLib.py", "source\comInterfaces\__pycache__\AcrobatAccessLib.cpython-37.pyc"], ["source\typelibs\AcrobatAccess.tlb"])
scons: *** [source\comInterfaces\AcrobatAccessLib.py] TypeError : item 2 in _argtypes_ passes a union by value, which is unsupported.
Traceback (most recent call last):
  File "C:\Python37-32\lib\ctypes\__init__.py", line 121, in WINFUNCTYPE
    return _win_functype_cache[(
restype, argtypes, flags)]
KeyError: (<class 'ctypes.HRESULT'>, (<class 'ctypes.c_long'>, <class 'comtypes.automation.tagVARIANT'>), 0)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "c:\nvda\include\scons\src\engine\SCons\Action.py", line 1202, in execute
    result = self.execfunction(target=target, source=rsources, env=env)
  File "C:\nvda\source\comInterfaces_sconscript", line 35, in interfaceAction
    comtypes.client.GetModule(source)
  File "c:\nvda\include\comtypes\comtypes\client\_generate.py", line 110, in GetModule
    mod = _CreateWrapper(tlib, pathname)
  File "c:\nvda\include\comtypes\comtypes\client\_generate.py", line 184, in _CreateWrapper
    mod = _my_import(fullname)
  File "C:\nvda\source\comInterfaces_sconscript", line 26, in new_my_import
    return old_my_import(fullname)
  File "c:\nvda\include\comtypes\comtypes\client\_generate.py", line 24, in _my_import
    return __import__(fullname, globals(), locals(), ['DUMMY'])
  File "C:\nvda\source\comInterfaces\_C523F390_9C83_11D3_9094_00104BD0D535_0_3_0.py", line 353, in <module>
    ( ['in'], VARIANT, 'value' )),
  File "c:\nvda\include\comtypes\comtypes\__init__.py", line 329, in __setattr__
    self._make_methods(value)
  File "c:\nvda\include\comtypes\comtypes\__init__.py", line 698, in _make_methods
    prototype = WINFUNCTYPE(restype, *argtypes)
  File "C:\Python37-32\lib\ctypes\__init__.py", line 123, in WINFUNCTYPE
    class WinFunctionType(_CFuncPtr):
TypeError: item 2 in _argtypes_ passes a union by value, which is unsupported.
scons: building terminated because of errors.

"""


Cheers,

--
Chris.

Noelia Ruiz
 

Hello:


I cannot reproduce this on Windows Ver 1809 (comp. 17763.914).
Just in case, ensure you have submodules updated:

git submodule update --init

Or just
git submodule update

If this doesn't work, no idea.

See you soon...

2019-12-20 18:52 GMT+01:00, ChrisLM <@Christianlm>:

Hi.

I just installed python 3.7.6 in this  machine using Windows 10Ver1903
(64-bit) build 18362.535.

This strange error appears:

"""


c:\nvda>scons source
scons: Reading SConscript files ...
scons: done reading SConscript files.
scons: Building targets ...
interfaceAction(["source\comInterfaces\AcrobatAccessLib.py",
"source\comInterfaces\__pycache__\AcrobatAccessLib.cpython-37.pyc"],
["source\typelibs\AcrobatAccess.tlb"])
scons: *** [source\comInterfaces\AcrobatAccessLib.py] TypeError : item 2
in _argtypes_ passes a union by value, which is unsupported.
Traceback (most recent call last):
  File "C:\Python37-32\lib\ctypes\__init__.py", line 121, in WINFUNCTYPE
    return _win_functype_cache[(
restype, argtypes, flags)]
KeyError: (<class 'ctypes.HRESULT'>, (<class 'ctypes.c_long'>, <class
'comtypes.automation.tagVARIANT'>), 0)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "c:\nvda\include\scons\src\engine\SCons\Action.py", line 1202,
in execute
    result = self.execfunction(target=target, source=rsources, env=env)
  File "C:\nvda\source\comInterfaces_sconscript", line 35, in
interfaceAction
    comtypes.client.GetModule(source)
  File "c:\nvda\include\comtypes\comtypes\client\_generate.py", line
110, in GetModule
    mod = _CreateWrapper(tlib, pathname)
  File "c:\nvda\include\comtypes\comtypes\client\_generate.py", line
184, in _CreateWrapper
    mod = _my_import(fullname)
  File "C:\nvda\source\comInterfaces_sconscript", line 26, in
new_my_import
    return old_my_import(fullname)
  File "c:\nvda\include\comtypes\comtypes\client\_generate.py", line
24, in _my_import
    return __import__(fullname, globals(), locals(), ['DUMMY'])
  File
"C:\nvda\source\comInterfaces\_C523F390_9C83_11D3_9094_00104BD0D535_0_3_0.py",

line 353, in <module>
    ( ['in'], VARIANT, 'value' )),
  File "c:\nvda\include\comtypes\comtypes\__init__.py", line 329, in
__setattr__
    self._make_methods(value)
  File "c:\nvda\include\comtypes\comtypes\__init__.py", line 698, in
_make_methods
    prototype = WINFUNCTYPE(restype, *argtypes)
  File "C:\Python37-32\lib\ctypes\__init__.py", line 123, in WINFUNCTYPE
    class WinFunctionType(_CFuncPtr):
TypeError: item 2 in _argtypes_ passes a union by value, which is
unsupported.
scons: building terminated because of errors.

"""


Cheers,

--
Chris.




ChrisLM
 

Yes, submodules are already updated.

I cloned the source using --recursive option, I don't understan what's the error this time...

Thanks.


Chris.

Noelia Ruiz ha scritto il 20/12/2019 alle 19:45:

Hello:


I cannot reproduce this on Windows Ver 1809 (comp. 17763.914).
Just in case, ensure you have submodules updated:

git submodule update --init

Or just
git submodule update

If this doesn't work, no idea.

See you soon...

2019-12-20 18:52 GMT+01:00, ChrisLM <@Christianlm>:
Hi.

I just installed python 3.7.6 in this  machine using Windows 10Ver1903
(64-bit) build 18362.535.

This strange error appears:

"""


c:\nvda>scons source
scons: Reading SConscript files ...
scons: done reading SConscript files.
scons: Building targets ...
interfaceAction(["source\comInterfaces\AcrobatAccessLib.py",
"source\comInterfaces\__pycache__\AcrobatAccessLib.cpython-37.pyc"],
["source\typelibs\AcrobatAccess.tlb"])
scons: *** [source\comInterfaces\AcrobatAccessLib.py] TypeError : item 2
in _argtypes_ passes a union by value, which is unsupported.
Traceback (most recent call last):
  File "C:\Python37-32\lib\ctypes\__init__.py", line 121, in WINFUNCTYPE
    return _win_functype_cache[(
restype, argtypes, flags)]
KeyError: (<class 'ctypes.HRESULT'>, (<class 'ctypes.c_long'>, <class
'comtypes.automation.tagVARIANT'>), 0)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "c:\nvda\include\scons\src\engine\SCons\Action.py", line 1202,
in execute
    result = self.execfunction(target=target, source=rsources, env=env)
  File "C:\nvda\source\comInterfaces_sconscript", line 35, in
interfaceAction
    comtypes.client.GetModule(source)
  File "c:\nvda\include\comtypes\comtypes\client\_generate.py", line
110, in GetModule
    mod = _CreateWrapper(tlib, pathname)
  File "c:\nvda\include\comtypes\comtypes\client\_generate.py", line
184, in _CreateWrapper
    mod = _my_import(fullname)
  File "C:\nvda\source\comInterfaces_sconscript", line 26, in
new_my_import
    return old_my_import(fullname)
  File "c:\nvda\include\comtypes\comtypes\client\_generate.py", line
24, in _my_import
    return __import__(fullname, globals(), locals(), ['DUMMY'])
  File
"C:\nvda\source\comInterfaces\_C523F390_9C83_11D3_9094_00104BD0D535_0_3_0.py",

line 353, in <module>
    ( ['in'], VARIANT, 'value' )),
  File "c:\nvda\include\comtypes\comtypes\__init__.py", line 329, in
__setattr__
    self._make_methods(value)
  File "c:\nvda\include\comtypes\comtypes\__init__.py", line 698, in
_make_methods
    prototype = WINFUNCTYPE(restype, *argtypes)
  File "C:\Python37-32\lib\ctypes\__init__.py", line 123, in WINFUNCTYPE
    class WinFunctionType(_CFuncPtr):
TypeError: item 2 in _argtypes_ passes a union by value, which is
unsupported.
scons: building terminated because of errors.

"""


Cheers,

--
Chris.




derek riemer
 

Can you try rebuilding your com interfaces?
rm source/comInterfaces/ -rf
git checkout source/comInterfaces/__init__.py
scons source


On Fri, Dec 20, 2019 at 2:11 PM ChrisLM <llajta2012@...> wrote:
Yes, submodules are already updated.

I cloned the source using --recursive option, I don't understan what's
the error this time...

Thanks.


Chris.

Noelia Ruiz ha scritto il 20/12/2019 alle 19:45:
> Hello:
>
>
> I cannot reproduce this on Windows Ver 1809 (comp. 17763.914).
> Just in case, ensure you have submodules updated:
>
> git submodule update --init
>
> Or just
> git submodule update
>
> If this doesn't work, no idea.
>
> See you soon...
>
> 2019-12-20 18:52 GMT+01:00, ChrisLM <llajta2012@...>:
>> Hi.
>>
>> I just installed python 3.7.6 in this  machine using Windows 10Ver1903
>> (64-bit) build 18362.535.
>>
>> This strange error appears:
>>
>> """
>>
>>
>> c:\nvda>scons source
>> scons: Reading SConscript files ...
>> scons: done reading SConscript files.
>> scons: Building targets ...
>> interfaceAction(["source\comInterfaces\AcrobatAccessLib.py",
>> "source\comInterfaces\__pycache__\AcrobatAccessLib.cpython-37.pyc"],
>> ["source\typelibs\AcrobatAccess.tlb"])
>> scons: *** [source\comInterfaces\AcrobatAccessLib.py] TypeError : item 2
>> in _argtypes_ passes a union by value, which is unsupported.
>> Traceback (most recent call last):
>>     File "C:\Python37-32\lib\ctypes\__init__.py", line 121, in WINFUNCTYPE
>>       return _win_functype_cache[(
>> restype, argtypes, flags)]
>> KeyError: (<class 'ctypes.HRESULT'>, (<class 'ctypes.c_long'>, <class
>> 'comtypes.automation.tagVARIANT'>), 0)
>>
>> During handling of the above exception, another exception occurred:
>>
>> Traceback (most recent call last):
>>     File "c:\nvda\include\scons\src\engine\SCons\Action.py", line 1202,
>> in execute
>>       result = self.execfunction(target=target, source=rsources, env=env)
>>     File "C:\nvda\source\comInterfaces_sconscript", line 35, in
>> interfaceAction
>>       comtypes.client.GetModule(source)
>>     File "c:\nvda\include\comtypes\comtypes\client\_generate.py", line
>> 110, in GetModule
>>       mod = _CreateWrapper(tlib, pathname)
>>     File "c:\nvda\include\comtypes\comtypes\client\_generate.py", line
>> 184, in _CreateWrapper
>>       mod = _my_import(fullname)
>>     File "C:\nvda\source\comInterfaces_sconscript", line 26, in
>> new_my_import
>>       return old_my_import(fullname)
>>     File "c:\nvda\include\comtypes\comtypes\client\_generate.py", line
>> 24, in _my_import
>>       return __import__(fullname, globals(), locals(), ['DUMMY'])
>>     File
>> "C:\nvda\source\comInterfaces\_C523F390_9C83_11D3_9094_00104BD0D535_0_3_0.py",
>>
>> line 353, in <module>
>>       ( ['in'], VARIANT, 'value' )),
>>     File "c:\nvda\include\comtypes\comtypes\__init__.py", line 329, in
>> __setattr__
>>       self._make_methods(value)
>>     File "c:\nvda\include\comtypes\comtypes\__init__.py", line 698, in
>> _make_methods
>>       prototype = WINFUNCTYPE(restype, *argtypes)
>>     File "C:\Python37-32\lib\ctypes\__init__.py", line 123, in WINFUNCTYPE
>>       class WinFunctionType(_CFuncPtr):
>> TypeError: item 2 in _argtypes_ passes a union by value, which is
>> unsupported.
>> scons: building terminated because of errors.
>>
>> """
>>
>>
>> Cheers,
>>
>> --
>> Chris.
>>
>>
>>
>>
>>
>
>





--
Derek Riemer
Improving the world one byte at a time!        ⠠⠊⠍⠏⠗⠕⠧⠬ ⠮ ⠸⠺ ⠐⠕ ⠃⠽⠞⠑ ⠁⠞ ⠁ ⠐⠞⠖
•    Accessibility enthusiast.
•    Proud user of the NVDA screen reader.
•    Open source enthusiast.
•    Skier.

•    Personal website: https://derekriemer.com




derek riemer
 

I don't think this will fix your issue, I think something is more broken with scons before. did you previously have this running on python2? If so, please scons -c first.

On Sun, Dec 22, 2019 at 3:16 PM Derek Riemer <driemer.riemer@...> wrote:
Can you try rebuilding your com interfaces?
rm source/comInterfaces/ -rf
git checkout source/comInterfaces/__init__.py
scons source

On Fri, Dec 20, 2019 at 2:11 PM ChrisLM <llajta2012@...> wrote:
Yes, submodules are already updated.

I cloned the source using --recursive option, I don't understan what's
the error this time...

Thanks.


Chris.

Noelia Ruiz ha scritto il 20/12/2019 alle 19:45:
> Hello:
>
>
> I cannot reproduce this on Windows Ver 1809 (comp. 17763.914).
> Just in case, ensure you have submodules updated:
>
> git submodule update --init
>
> Or just
> git submodule update
>
> If this doesn't work, no idea.
>
> See you soon...
>
> 2019-12-20 18:52 GMT+01:00, ChrisLM <llajta2012@...>:
>> Hi.
>>
>> I just installed python 3.7.6 in this  machine using Windows 10Ver1903
>> (64-bit) build 18362.535.
>>
>> This strange error appears:
>>
>> """
>>
>>
>> c:\nvda>scons source
>> scons: Reading SConscript files ...
>> scons: done reading SConscript files.
>> scons: Building targets ...
>> interfaceAction(["source\comInterfaces\AcrobatAccessLib.py",
>> "source\comInterfaces\__pycache__\AcrobatAccessLib.cpython-37.pyc"],
>> ["source\typelibs\AcrobatAccess.tlb"])
>> scons: *** [source\comInterfaces\AcrobatAccessLib.py] TypeError : item 2
>> in _argtypes_ passes a union by value, which is unsupported.
>> Traceback (most recent call last):
>>     File "C:\Python37-32\lib\ctypes\__init__.py", line 121, in WINFUNCTYPE
>>       return _win_functype_cache[(
>> restype, argtypes, flags)]
>> KeyError: (<class 'ctypes.HRESULT'>, (<class 'ctypes.c_long'>, <class
>> 'comtypes.automation.tagVARIANT'>), 0)
>>
>> During handling of the above exception, another exception occurred:
>>
>> Traceback (most recent call last):
>>     File "c:\nvda\include\scons\src\engine\SCons\Action.py", line 1202,
>> in execute
>>       result = self.execfunction(target=target, source=rsources, env=env)
>>     File "C:\nvda\source\comInterfaces_sconscript", line 35, in
>> interfaceAction
>>       comtypes.client.GetModule(source)
>>     File "c:\nvda\include\comtypes\comtypes\client\_generate.py", line
>> 110, in GetModule
>>       mod = _CreateWrapper(tlib, pathname)
>>     File "c:\nvda\include\comtypes\comtypes\client\_generate.py", line
>> 184, in _CreateWrapper
>>       mod = _my_import(fullname)
>>     File "C:\nvda\source\comInterfaces_sconscript", line 26, in
>> new_my_import
>>       return old_my_import(fullname)
>>     File "c:\nvda\include\comtypes\comtypes\client\_generate.py", line
>> 24, in _my_import
>>       return __import__(fullname, globals(), locals(), ['DUMMY'])
>>     File
>> "C:\nvda\source\comInterfaces\_C523F390_9C83_11D3_9094_00104BD0D535_0_3_0.py",
>>
>> line 353, in <module>
>>       ( ['in'], VARIANT, 'value' )),
>>     File "c:\nvda\include\comtypes\comtypes\__init__.py", line 329, in
>> __setattr__
>>       self._make_methods(value)
>>     File "c:\nvda\include\comtypes\comtypes\__init__.py", line 698, in
>> _make_methods
>>       prototype = WINFUNCTYPE(restype, *argtypes)
>>     File "C:\Python37-32\lib\ctypes\__init__.py", line 123, in WINFUNCTYPE
>>       class WinFunctionType(_CFuncPtr):
>> TypeError: item 2 in _argtypes_ passes a union by value, which is
>> unsupported.
>> scons: building terminated because of errors.
>>
>> """
>>
>>
>> Cheers,
>>
>> --
>> Chris.
>>
>>
>>
>>
>>
>
>





--
Derek Riemer
Improving the world one byte at a time!        ⠠⠊⠍⠏⠗⠕⠧⠬ ⠮ ⠸⠺ ⠐⠕ ⠃⠽⠞⠑ ⠁⠞ ⠁ ⠐⠞⠖
•    Accessibility enthusiast.
•    Proud user of the NVDA screen reader.
•    Open source enthusiast.
•    Skier.

•    Personal website: https://derekriemer.com






--
Derek Riemer
Improving the world one byte at a time!        ⠠⠊⠍⠏⠗⠕⠧⠬ ⠮ ⠸⠺ ⠐⠕ ⠃⠽⠞⠑ ⠁⠞ ⠁ ⠐⠞⠖
•    Accessibility enthusiast.
•    Proud user of the NVDA screen reader.
•    Open source enthusiast.
•    Skier.

•    Personal website: https://derekriemer.com




derek riemer
 

You also might try rm-ing everything under include and miscdeps first, then reinitializing the git submodules.
git submodule sync && git submodule update --init


On Sun, Dec 22, 2019 at 3:18 PM Derek Riemer <driemer.riemer@...> wrote:
I don't think this will fix your issue, I think something is more broken with scons before. did you previously have this running on python2? If so, please scons -c first.

On Sun, Dec 22, 2019 at 3:16 PM Derek Riemer <driemer.riemer@...> wrote:
Can you try rebuilding your com interfaces?
rm source/comInterfaces/ -rf
git checkout source/comInterfaces/__init__.py
scons source

On Fri, Dec 20, 2019 at 2:11 PM ChrisLM <llajta2012@...> wrote:
Yes, submodules are already updated.

I cloned the source using --recursive option, I don't understan what's
the error this time...

Thanks.


Chris.

Noelia Ruiz ha scritto il 20/12/2019 alle 19:45:
> Hello:
>
>
> I cannot reproduce this on Windows Ver 1809 (comp. 17763.914).
> Just in case, ensure you have submodules updated:
>
> git submodule update --init
>
> Or just
> git submodule update
>
> If this doesn't work, no idea.
>
> See you soon...
>
> 2019-12-20 18:52 GMT+01:00, ChrisLM <llajta2012@...>:
>> Hi.
>>
>> I just installed python 3.7.6 in this  machine using Windows 10Ver1903
>> (64-bit) build 18362.535.
>>
>> This strange error appears:
>>
>> """
>>
>>
>> c:\nvda>scons source
>> scons: Reading SConscript files ...
>> scons: done reading SConscript files.
>> scons: Building targets ...
>> interfaceAction(["source\comInterfaces\AcrobatAccessLib.py",
>> "source\comInterfaces\__pycache__\AcrobatAccessLib.cpython-37.pyc"],
>> ["source\typelibs\AcrobatAccess.tlb"])
>> scons: *** [source\comInterfaces\AcrobatAccessLib.py] TypeError : item 2
>> in _argtypes_ passes a union by value, which is unsupported.
>> Traceback (most recent call last):
>>     File "C:\Python37-32\lib\ctypes\__init__.py", line 121, in WINFUNCTYPE
>>       return _win_functype_cache[(
>> restype, argtypes, flags)]
>> KeyError: (<class 'ctypes.HRESULT'>, (<class 'ctypes.c_long'>, <class
>> 'comtypes.automation.tagVARIANT'>), 0)
>>
>> During handling of the above exception, another exception occurred:
>>
>> Traceback (most recent call last):
>>     File "c:\nvda\include\scons\src\engine\SCons\Action.py", line 1202,
>> in execute
>>       result = self.execfunction(target=target, source=rsources, env=env)
>>     File "C:\nvda\source\comInterfaces_sconscript", line 35, in
>> interfaceAction
>>       comtypes.client.GetModule(source)
>>     File "c:\nvda\include\comtypes\comtypes\client\_generate.py", line
>> 110, in GetModule
>>       mod = _CreateWrapper(tlib, pathname)
>>     File "c:\nvda\include\comtypes\comtypes\client\_generate.py", line
>> 184, in _CreateWrapper
>>       mod = _my_import(fullname)
>>     File "C:\nvda\source\comInterfaces_sconscript", line 26, in
>> new_my_import
>>       return old_my_import(fullname)
>>     File "c:\nvda\include\comtypes\comtypes\client\_generate.py", line
>> 24, in _my_import
>>       return __import__(fullname, globals(), locals(), ['DUMMY'])
>>     File
>> "C:\nvda\source\comInterfaces\_C523F390_9C83_11D3_9094_00104BD0D535_0_3_0.py",
>>
>> line 353, in <module>
>>       ( ['in'], VARIANT, 'value' )),
>>     File "c:\nvda\include\comtypes\comtypes\__init__.py", line 329, in
>> __setattr__
>>       self._make_methods(value)
>>     File "c:\nvda\include\comtypes\comtypes\__init__.py", line 698, in
>> _make_methods
>>       prototype = WINFUNCTYPE(restype, *argtypes)
>>     File "C:\Python37-32\lib\ctypes\__init__.py", line 123, in WINFUNCTYPE
>>       class WinFunctionType(_CFuncPtr):
>> TypeError: item 2 in _argtypes_ passes a union by value, which is
>> unsupported.
>> scons: building terminated because of errors.
>>
>> """
>>
>>
>> Cheers,
>>
>> --
>> Chris.
>>
>>
>>
>>
>>
>
>





--
Derek Riemer
Improving the world one byte at a time!        ⠠⠊⠍⠏⠗⠕⠧⠬ ⠮ ⠸⠺ ⠐⠕ ⠃⠽⠞⠑ ⠁⠞ ⠁ ⠐⠞⠖
•    Accessibility enthusiast.
•    Proud user of the NVDA screen reader.
•    Open source enthusiast.
•    Skier.

•    Personal website: https://derekriemer.com






--
Derek Riemer
Improving the world one byte at a time!        ⠠⠊⠍⠏⠗⠕⠧⠬ ⠮ ⠸⠺ ⠐⠕ ⠃⠽⠞⠑ ⠁⠞ ⠁ ⠐⠞⠖
•    Accessibility enthusiast.
•    Proud user of the NVDA screen reader.
•    Open source enthusiast.
•    Skier.

•    Personal website: https://derekriemer.com






--
Derek Riemer
Improving the world one byte at a time!        ⠠⠊⠍⠏⠗⠕⠧⠬ ⠮ ⠸⠺ ⠐⠕ ⠃⠽⠞⠑ ⠁⠞ ⠁ ⠐⠞⠖
•    Accessibility enthusiast.
•    Proud user of the NVDA screen reader.
•    Open source enthusiast.
•    Skier.

•    Personal website: https://derekriemer.com




ChrisLM
 

Hi Derek,

I have carefully checked all the submodules, but the same error persists...

Thanks,




Chris.
derek riemer ha scritto il 22/12/2019 alle 23:19:

You also might try rm-ing everything under include and miscdeps first, then reinitializing the git submodules.
git submodule sync && git submodule update --init

On Sun, Dec 22, 2019 at 3:18 PM Derek Riemer <driemer.riemer@...> wrote:
I don't think this will fix your issue, I think something is more broken with scons before. did you previously have this running on python2? If so, please scons -c first.

On Sun, Dec 22, 2019 at 3:16 PM Derek Riemer <driemer.riemer@...> wrote:
Can you try rebuilding your com interfaces?
rm source/comInterfaces/ -rf
git checkout source/comInterfaces/__init__.py
scons source

On Fri, Dec 20, 2019 at 2:11 PM ChrisLM <llajta2012@...> wrote:
Yes, submodules are already updated.

I cloned the source using --recursive option, I don't understan what's
the error this time...

Thanks.


Chris.

Noelia Ruiz ha scritto il 20/12/2019 alle 19:45:
> Hello:
>
>
> I cannot reproduce this on Windows Ver 1809 (comp. 17763.914).
> Just in case, ensure you have submodules updated:
>
> git submodule update --init
>
> Or just
> git submodule update
>
> If this doesn't work, no idea.
>
> See you soon...
>
> 2019-12-20 18:52 GMT+01:00, ChrisLM <llajta2012@...>:
>> Hi.
>>
>> I just installed python 3.7.6 in this  machine using Windows 10Ver1903
>> (64-bit) build 18362.535.
>>
>> This strange error appears:
>>
>> """
>>
>>
>> c:\nvda>scons source
>> scons: Reading SConscript files ...
>> scons: done reading SConscript files.
>> scons: Building targets ...
>> interfaceAction(["source\comInterfaces\AcrobatAccessLib.py",
>> "source\comInterfaces\__pycache__\AcrobatAccessLib.cpython-37.pyc"],
>> ["source\typelibs\AcrobatAccess.tlb"])
>> scons: *** [source\comInterfaces\AcrobatAccessLib.py] TypeError : item 2
>> in _argtypes_ passes a union by value, which is unsupported.
>> Traceback (most recent call last):
>>     File "C:\Python37-32\lib\ctypes\__init__.py", line 121, in WINFUNCTYPE
>>       return _win_functype_cache[(
>> restype, argtypes, flags)]
>> KeyError: (<class 'ctypes.HRESULT'>, (<class 'ctypes.c_long'>, <class
>> 'comtypes.automation.tagVARIANT'>), 0)
>>
>> During handling of the above exception, another exception occurred:
>>
>> Traceback (most recent call last):
>>     File "c:\nvda\include\scons\src\engine\SCons\Action.py", line 1202,
>> in execute
>>       result = self.execfunction(target=target, source=rsources, env=env)
>>     File "C:\nvda\source\comInterfaces_sconscript", line 35, in
>> interfaceAction
>>       comtypes.client.GetModule(source)
>>     File "c:\nvda\include\comtypes\comtypes\client\_generate.py", line
>> 110, in GetModule
>>       mod = _CreateWrapper(tlib, pathname)
>>     File "c:\nvda\include\comtypes\comtypes\client\_generate.py", line
>> 184, in _CreateWrapper
>>       mod = _my_import(fullname)
>>     File "C:\nvda\source\comInterfaces_sconscript", line 26, in
>> new_my_import
>>       return old_my_import(fullname)
>>     File "c:\nvda\include\comtypes\comtypes\client\_generate.py", line
>> 24, in _my_import
>>       return __import__(fullname, globals(), locals(), ['DUMMY'])
>>     File
>> "C:\nvda\source\comInterfaces\_C523F390_9C83_11D3_9094_00104BD0D535_0_3_0.py",
>>
>> line 353, in <module>
>>       ( ['in'], VARIANT, 'value' )),
>>     File "c:\nvda\include\comtypes\comtypes\__init__.py", line 329, in
>> __setattr__
>>       self._make_methods(value)
>>     File "c:\nvda\include\comtypes\comtypes\__init__.py", line 698, in
>> _make_methods
>>       prototype = WINFUNCTYPE(restype, *argtypes)
>>     File "C:\Python37-32\lib\ctypes\__init__.py", line 123, in WINFUNCTYPE
>>       class WinFunctionType(_CFuncPtr):
>> TypeError: item 2 in _argtypes_ passes a union by value, which is
>> unsupported.
>> scons: building terminated because of errors.
>>
>> """
>>
>>
>> Cheers,
>>
>> --
>> Chris.
>>
>>
>>
>>
>>
>
>





--
Derek Riemer
Improving the world one byte at a time!        ⠠⠊⠍⠏⠗⠕⠧⠬ ⠮ ⠸⠺ ⠐⠕ ⠃⠽⠞⠑ ⠁⠞ ⠁ ⠐⠞⠖
•    Accessibility enthusiast.
•    Proud user of the NVDA screen reader.
•    Open source enthusiast.
•    Skier.

•    Personal website: https://derekriemer.com






--
Derek Riemer
Improving the world one byte at a time!        ⠠⠊⠍⠏⠗⠕⠧⠬ ⠮ ⠸⠺ ⠐⠕ ⠃⠽⠞⠑ ⠁⠞ ⠁ ⠐⠞⠖
•    Accessibility enthusiast.
•    Proud user of the NVDA screen reader.
•    Open source enthusiast.
•    Skier.

•    Personal website: https://derekriemer.com






--
Derek Riemer
Improving the world one byte at a time!        ⠠⠊⠍⠏⠗⠕⠧⠬ ⠮ ⠸⠺ ⠐⠕ ⠃⠽⠞⠑ ⠁⠞ ⠁ ⠐⠞⠖
•    Accessibility enthusiast.
•    Proud user of the NVDA screen reader.
•    Open source enthusiast.
•    Skier.

•    Personal website: https://derekriemer.com




Alberto Buffolino
 

ChrisLM, il 23/12/2019 16.53, ha scritto:
I have carefully checked all the submodules, but the same error persists...
Alberto:
Hi Chris,
have you tried with "scons --clean", and "scons source" again?
Incidentally, in my configuration, I must explicit .bat to avoid problems with scons (so "scons.bat --clean", "scons.bat source" etc).
Alberto

ChrisLM
 

Hi Alberto,

yes, i have tried a lot of times even with .bat extension without success.

I think that NVDA source is ok now, there is probably something about installing python 3.7.6.

In first installation  in this machine I've press the button to disable limit for lengh path,

do you think this may have caused some damage?


I don't know where to look anymore...


Thanks,



Chris.

Alberto Buffolino ha scritto il 23/12/2019 alle 17:05:


have you tried with "scons --clean", and "scons source" again?
Incidentally, in my configuration, I must explicit .bat to avoid problems with scons (so "scons.bat --clean", "scons.bat source" etc).

derek riemer
 

Just to check here, 3.7.6 32 bit? can you try running NVDA from a virtual environment so we can have a hermetic environment from which to test things? is that the first thing occurring? That leads me to believe something is strange with scons. can you git log -1 so I can see what your latest commit is and try it myself?
Sorry, I'm asking a lot of questions because I have no idea right now but I would like to help you.


On Mon, Dec 23, 2019 at 9:36 AM ChrisLM <llajta2012@...> wrote:
Hi Alberto,

yes, i have tried a lot of times even with .bat extension without success.

I think that NVDA source is ok now, there is probably something about
installing python 3.7.6.

In first installation  in this machine I've press the button to disable
limit for lengh path,

do you think this may have caused some damage?


I don't know where to look anymore...


Thanks,



Chris.

Alberto Buffolino ha scritto il 23/12/2019 alle 17:05:
>
> have you tried with "scons --clean", and "scons source" again?
> Incidentally, in my configuration, I must explicit .bat to avoid
> problems with scons (so "scons.bat --clean", "scons.bat source" etc).
>






--
Derek Riemer
Improving the world one byte at a time!        ⠠⠊⠍⠏⠗⠕⠧⠬ ⠮ ⠸⠺ ⠐⠕ ⠃⠽⠞⠑ ⠁⠞ ⠁ ⠐⠞⠖
•    Accessibility enthusiast.
•    Proud user of the NVDA screen reader.
•    Open source enthusiast.
•    Skier.

•    Personal website: https://derekriemer.com




Shane Davidson
 

Hi all,

I’ve been following this thread.

A couple of questions.

Was python versions the only thing that changed between the last time source was running and now? What was the last version of python running before 3.7.6?

Have you tried simply blowing away the entire NVDA source directory top down and

Git clone –recursive https://github.com/nvaccess/nvda.git

To make sure your perfectly clean, including anything outside dependencies that may be broken?

Shane

ChrisLM
 

Hi,

I'm so happy to answer all your questions!

I downloaded python 3.7.6 installer for windows x86 from python.org, this is the direct link:


https://www.python.org/ftp/python/3.7.6/python-3.7.6.exe

___.

To answer to Shane questions too, in this machine I never installed python 3.

Previously it was installed python 2.7.15 and visualStudio 2017 community ver15.9.11.

Everything worked fine and I could compile NVDA source 2019.2.



Without preparing source can't give a log from source here, this is the STR to understand what I'm doing:

1. I downloaded and installed python 3.7.6 as before;

2. Via pip commands I've updated requirements for addons-template, (the add-on package creation works without problems):

3. Updated Visual Studio Community 2017  to Ver 15.9.28307.960.

4. Downloaded NVDA source code using --recursive option.


Everything seems ready to preparing the source code, but the same error occurs...


Chris.
derek riemer ha scritto il 24/12/2019 alle 09:28:

Just to check here, 3.7.6 32 bit? can you try running NVDA from a virtual environment so we can have a hermetic environment from which to test things? is that the first thing occurring? That leads me to believe something is strange with scons. can you git log -1 so I can see what your latest commit is and try it myself?
Sorry, I'm asking a lot of questions because I have no idea right now but I would like to help you.

On Mon, Dec 23, 2019 at 9:36 AM ChrisLM <llajta2012@...> wrote:
Hi Alberto,

yes, i have tried a lot of times even with .bat extension without success.

I think that NVDA source is ok now, there is probably something about
installing python 3.7.6.

In first installation  in this machine I've press the button to disable
limit for lengh path,

do you think this may have caused some damage?


I don't know where to look anymore...


Thanks,



Chris.

Alberto Buffolino ha scritto il 23/12/2019 alle 17:05:
>
> have you tried with "scons --clean", and "scons source" again?
> Incidentally, in my configuration, I must explicit .bat to avoid
> problems with scons (so "scons.bat --clean", "scons.bat source" etc).
>






--
Derek Riemer
Improving the world one byte at a time!        ⠠⠊⠍⠏⠗⠕⠧⠬ ⠮ ⠸⠺ ⠐⠕ ⠃⠽⠞⠑ ⠁⠞ ⠁ ⠐⠞⠖
•    Accessibility enthusiast.
•    Proud user of the NVDA screen reader.
•    Open source enthusiast.
•    Skier.

•    Personal website: https://derekriemer.com




Reef Turner
 

Hi Chris,

Sorry if you have been struggling with this issue for a while. We have had some other reports of this error, they seemed to have been resolved by reverting to Python 3.7.5, could you please try this also?

Regards,
Reef Turner (NV Access)

ChrisLM
 

Hi Reef,

My apologize if I no longer wrote how I solved that.

I don't know why, I was convinced that NVDA had been compiled with python 3.7.6.
Reviewing a log for other reasons my eye fell on the python version used in NVDA and I understood where I was wrong.
Yes, reverting to Python 3.7.5 solves all errors here too.

Thanks so much,


Chris.
Reef Turner ha scritto il 17/01/2020 alle 18:42:

Hi Chris,

Sorry if you have been struggling with this issue for a while. We have had some other reports of this error, they seemed to have been resolved by reverting to Python 3.7.5, could you please try this also?

Regards,
Reef Turner (NV Access)